This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502191 - Review Request: chromium-bsu - Fast paced, arcade-style, top-scrolling space shooter
Review Request: chromium-bsu - Fast paced, arcade-style, top-scrolling space ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On: 501323 502189
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 09:31 EDT by Hans de Goede
Modified: 2009-05-27 13:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 13:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2009-05-22 09:31:49 EDT
Spec URL: http://people.atrpms.net/~hdegoede/chromium-bsu.spec
SRPM URL: http://people.atrpms.net/~hdegoede/chromium-bsu-0.9.14-1.fc11.src.rpm
Description:
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel. This is an OpenGL-based shoot 'em up game with fine graphics.

Note to reviewers:
This needs ftgl 2.1.3 or newer which is only in the F-12 repo, you can
download it here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1369999

It also needs libglpng, which still needs to be reviewed, its review is bug 502189.
Comment 1 Bill Nottingham 2009-05-22 10:13:11 EDT
We used to ship this a long time ago - why was it removed (and has whatever caused that been fixed)?
Comment 2 Gwyn Ciesla 2009-05-22 10:21:26 EDT
That was my first thought.
Comment 3 Hans de Goede 2009-05-22 10:24:05 EDT
(In reply to comment #1)
> We used to ship this a long time ago - why was it removed (and has whatever
> caused that been fixed)?  

The issue was non free artwork and that has been fixed by upstream now
(in collaboration with Debian, its completely dfsg free now)
Comment 4 Gwyn Ciesla 2009-05-22 10:29:15 EDT
Cool.  I'll have a go.
Comment 5 Gwyn Ciesla 2009-05-22 12:03:10 EDT
rpmlint clean.

URL should be http://chromium-bsu.sourceforge.net/

Rename README.license to chromium-README.license (but keep it README.license when installed) to avoid SRPM clobbering.

Can't mock-test the BRs since ftgl isn't updated yet and libglpng isn't in rawhide yet, but I see that review's underway.

Otherwise on full review, it looks great.
Comment 6 Hans de Goede 2009-05-22 14:40:06 EDT
Thanks for the review!

Here is an updated package with those 2 issues fixed:
Spec URL: http://people.atrpms.net/~hdegoede/chromium-bsu.spec
SRPM URL: http://people.atrpms.net/~hdegoede/chromium-bsu-0.9.14-2.fc11.src.rpm
Comment 7 Gwyn Ciesla 2009-05-26 13:34:10 EDT
Good deal, still waiting on libglpng to show up in my mock buildroot. . .
Comment 8 Hans de Goede 2009-05-26 13:43:38 EDT
(In reply to comment #7)
> Good deal, still waiting on libglpng to show up in my mock buildroot. . .  

Hmm, are you pointing mock at rawhide + F-11 updates ? rawhide == F-11 GA, so get the latest and greatest you need rawhide + F-11 updates.
Comment 9 Gwyn Ciesla 2009-05-26 15:30:22 EDT
[build@fawkes ~]$ cat /etc/mock/fedora-rawhide-i586.cfg
config_opts['root'] = 'fedora-rawhide-i586'
config_opts['target_arch'] = 'i586'
config_opts['chroot_setup_cmd'] = 'groupinstall buildsys-build'
config_opts['dist'] = 'fc12'  # only useful for --resultdir variable subst

config_opts['yum.conf'] = """
[main]
cachedir=/var/cache/yum
debuglevel=1
reposdir=/dev/null
logfile=/var/log/yum.log
retries=20
obsoletes=1
gpgcheck=0
assumeyes=1

# repos

[fedora]
name=fedora
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=i586
failovermethod=priority

[local]
name=local
baseurl=http://koji.fedoraproject.org/static-repos/dist-rawhide-current/i386
cost=2000
enabled=0
"""
Comment 10 Hans de Goede 2009-05-27 03:24:06 EDT
Hmm, ok so no F-11 updates not F-11 updates-testing in there. Note that even if
you did have that it still wont build as you also need the ftgl from F-12.

So I guess its best to wait till rawhide unfreezes from F-11 and becomes F-12.
Comment 11 Mamoru TASAKA 2009-05-27 05:57:26 EDT
By the way mock build fails even for dist-f12:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1379204
Comment 12 Hans de Goede 2009-05-27 07:21:46 EDT
(In reply to comment #11)
> By the way mock build fails even for dist-f12:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1379204  

Woops, my bad, here is a fixed version:
Spec URL: http://people.atrpms.net/~hdegoede/chromium-bsu.spec
SRPM URL: http://people.atrpms.net/~hdegoede/chromium-bsu-0.9.14-3.fc11.src.rpm

And here is a working koji scratch build of it:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1379288
Comment 13 Gwyn Ciesla 2009-05-27 08:33:28 EDT
Looks good to me.

APPROVED.
Comment 14 Hans de Goede 2009-05-27 08:49:58 EDT
(In reply to comment #13)
> Looks good to me.
> 
> APPROVED.  

Thanks!

New Package CVS Request
=======================
Package Name:      chromium-bsu
Short Description: Fast paced, arcade-style, top-scrolling space shooter
Owners:            jwrdegoede
Branches:          F-11
InitialCC:
Comment 15 Jason Tibbitts 2009-05-27 11:25:01 EDT
CVS done.
Comment 16 Hans de Goede 2009-05-27 13:31:18 EDT
(In reply to comment #15)
> CVS done.  

Thanks, imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.